Vendors
List security review documents
Lists a security review’s documents.
GET
/
vendors
/
{vendorId}
/
security-reviews
/
{securityReviewId}
/
documents
List security review documents
curl --request GET \
--url https://api.vanta.com/v1/vendors/{vendorId}/security-reviews/{securityReviewId}/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/vendors/{vendorId}/security-reviews/{securityReviewId}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/vendors/{vendorId}/security-reviews/{securityReviewId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"data": [
{
"id": "a2f7e1b9d0c3f4e5a6c7b8d8",
"url": "https://example.com",
"title": "PDF SOC2 Report",
"fileName": "soc2.pdf",
"type": "SOC2_REPORT",
"mimeType": "application/pdf",
"description": "The 2023 SOC2 file provided by the vendor",
"uploadedBy": {
"id": "66993da0cf4ba2ad40599ba7",
"type": "USER"
},
"creationDate": "2024-02-01T00:00:00.000Z",
"updatedDate": "2024-02-07T00:00:00.000Z",
"deletionDate": null
}
],
"pageInfo": {
"hasNextPage": false,
"hasPreviousPage": false,
"startCursor": "6696ea0595df50d5cd6ec3b7",
"endCursor": "6696ece48eb1f98ff3d927c6"
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Controls the maximum number of items returned in one response from the API.
Required range:
1 <= x <= 100A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.
Response
200 - application/json
Ok
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List security review documents
